Bug 831250 - Seam examples deployment instructions wrong in readme files
Seam examples deployment instructions wrong in readme files
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam, Examples (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 10:54 EDT by Marek Schmidt
Modified: 2012-06-22 04:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 04:18:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-12 10:54:02 EDT
Description of problem:

The instructions in Seam distribution's readme.txt and the examples' readme.txt files are wrong:

e.g. from the seam distribution readme.txt:

3. In the "examples-ee6/booking" directory, type "mvn clean package" and check
   for any error messages.

4. In the booking-ear directory run:

    mvn jboss-as:deploy

This would fail with

[ERROR] Failed to execute goal on project booking-ear: Could not resolve dependencies for project org.jboss.seam.examples.booking:booking-ear:ear:2.3.0.Beta2-redhat-1: The following artifacts could not be resolved: org.jboss.seam.examples.booking:booking-web:war:2.3.0.Beta2-redhat-1, org.jboss.seam.examples.booking:booking-ejb:jar:2.3.0.Beta2-redhat-1: Could not find artifact org.jboss.seam.examples.booking:booking-web:war:2.3.0.Beta2-redhat-1 in jboss-wfk-repository (file:///home/maschmid/.m2/jboss-wfk-2.0.0.ER8-maven-repository) -> [Help 1]


An additional steps would be to run "mvn install -N" in the examples/ root to install the example's parent and run "mvn clean install" instead of the "mvn clean package" in the specific example folder.

Alternatively, we could change the instructions to just say to deploy the "booking-ear/target/seam-booking.ear" archive with $JBOSS_HOME/bin/jboss-cli.sh --connect "deploy booking-ear/target/seam-booking.ear"

Or just say to deploy the "booking-ear/target/seam-booking.ear" archive and let the EAP6 docs explain how to do it.


(also note that we should probably mention setting up the WFK repository somewhere in the readme files)


The affected files are:

jboss-wfk-2.0.0.ER8/jboss-seam-2.3.0.Beta2-redhat-1/readme.txt
jboss-wfk-2.0.0.ER8/demo/jboss-seam-2.3.0.Beta2-redhat-1/examples/readme.txt

and all the readme.txt files in

jboss-wfk-2.0.0.ER8/demo/jboss-seam-2.3.0.Beta2-redhat-1/examples/*/readme.txt
Comment 1 Marek Novotny 2012-06-13 04:19:44 EDT
I will replace goal package with install then.

Alternative deploy option could be in readme.txt, but maven wa is much easier I think.
Comment 2 Marek Novotny 2012-06-14 08:33:55 EDT
Fixed at
https://source.jboss.org/changelog/Seam?cs=14911

Note You need to log in before you can comment on or make changes to this bug.